Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.messagebox.parser
Class MessageElement

    java.lang.Object
      org.seamless.xml.DOMElement<MessageElement,MessageElement>
          org.fourthline.cling.support.messagebox.parser.MessageElement

    public class MessageElement

extends org.seamless.xml.DOMElement<MessageElement,MessageElement>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.seamless.xml.DOMElement
`org.seamless.xml.DOMElement.ArrayBuilder<T extends org.seamless.xml.DOMElement>, org.seamless.xml.DOMElement.Builder<T extends org.seamless.xml.DOMElement>`

Field Summary
`static String` | `XPATH_PREFIX`

Fields inherited from class org.seamless.xml.DOMElement
`CHILD_BUILDER, PARENT_BUILDER`

Constructor Summary
`MessageElement(XPath xpath, Element element)`

Method Summary
`protected org.seamless.xml.DOMElement.ArrayBuilder<MessageElement>` | `createChildBuilder(org.seamless.xml.DOMElement el)`
`protected org.seamless.xml.DOMElement.Builder<MessageElement>` | `createParentBuilder(org.seamless.xml.DOMElement el)`
`protected String` | `prefix(String localName)`

Methods inherited from class org.seamless.xml.DOMElement
`adoptOrImport, appendChild, createChild, createChild, findChildren, findChildWithIdentifier, getAttribute, getChildren, getChildren, getContent, getElementName, getFirstChild, getParent, getRequiredChild, getW3CElement, getXpath, getXPathChildElement, getXPathChildElements, getXPathElements, getXPathParentElement, getXPathParentElements, getXPathResult, getXPathResult, getXPathString, removeChild, removeChildren, replaceChild, replaceEqualChild, setAttribute, setContent, toSimpleXMLString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XPATH_PREFIX

    public static final String XPATH_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### MessageElement

    public MessageElement(XPath xpath,
                          Element element)

Method Detail

### prefix

    protected String prefix(String localName)

  Overrides:
    `prefix` in class `org.seamless.xml.DOMElement<MessageElement,MessageElement>`

### createParentBuilder

    protected org.seamless.xml.DOMElement.Builder<MessageElement> createParentBuilder(org.seamless.xml.DOMElement el)

  Specified by:
    `createParentBuilder` in class `org.seamless.xml.DOMElement<MessageElement,MessageElement>`

### createChildBuilder

    protected org.seamless.xml.DOMElement.ArrayBuilder<MessageElement> createChildBuilder(org.seamless.xml.DOMElement el)

  Specified by:
    `createChildBuilder` in class `org.seamless.xml.DOMElement<MessageElement,MessageElement>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.